Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Wireless J2ME SDK API Reference B14045-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.wireless.me.core
Class ServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              oracle.wireless.me.core.ServiceException

public class ServiceException
extends java.lang.Exception

An exception that provides information on any error occurred when invoking the service.

Version:
  1.0

Field Summary
`static int` | `CACHE_FAILURE` Failure in cache (RMS record store) used to store queued calls and to caches responses.
`static int` | `CACHE_IO_ERROR` Error serializing or deserializing call or response for queue or cache.
`static int` | `CONNECTION_FAILED` Connection to proxy server failed.
`static int` | `INVALID_ACK` Invalid acknowledgement received during packetized request.
`static int` | `INVALID_CALL` Call object is not valid.
`static int` | `INVALID_KEY` Invalid call key used during queue or cache operation.
`static int` | `INVALID_PACKET` Invalid response packet received.
`static int` | `INVALID_RECORD_ID` Invalid RMS record id used during queue or cache operation.
`static int` | `REMOTE_ERROR` Error returned from the server.
`static int` | `RESPONSE_EMPTY` A response was cached, but it has no data.
`static int` | `UNKNOWN_CODE` Unknown error.
`static int` | `UNKNOWN_RECORD_TYPE` Invalid record store type used during queueing or caching operation.
`static int` | `UNSUPPORTED_PARAM_TYPE` Unsupported remote call parameter.
`static int` | `WRONG_RESPONSE_TYPE` Return type is not of this type.

Constructor Summary
`ServiceException()` Creates new `ServiceException` without detail message.
`ServiceException(java.lang.String msg)` Constructs an `ServiceException` with the specified detail message.
`ServiceException(java.lang.String msg, int errCode)` Constructs an `ServiceException` with the specified detail message and the status of the connection.

Method Summary
`int` | `getErrorCode()` Return the error code

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN_CODE

    public static final int UNKNOWN_CODE

  Unknown error.

  See Also:
    Constant Field Values

### CONNECTION_FAILED

    public static final int CONNECTION_FAILED

  Connection to proxy server failed.

  See Also:
    Constant Field Values

### INVALID_CALL

    public static final int INVALID_CALL

  Call object is not valid.

  See Also:
    Constant Field Values

### UNKNOWN_RECORD_TYPE

    public static final int UNKNOWN_RECORD_TYPE

  Invalid record store type used during queueing or caching operation.

  See Also:
    Constant Field Values

### CACHE_FAILURE

    public static final int CACHE_FAILURE

  Failure in cache (RMS record store) used to store queued calls and to caches responses.

  See Also:
    Constant Field Values

### RESPONSE_EMPTY

    public static final int RESPONSE_EMPTY

  A response was cached, but it has no data.

  See Also:
    Constant Field Values

### CACHE_IO_ERROR

    public static final int CACHE_IO_ERROR

  Error serializing or deserializing call or response for queue or cache.

  See Also:
    Constant Field Values

### UNSUPPORTED_PARAM_TYPE

    public static final int UNSUPPORTED_PARAM_TYPE

  Unsupported remote call parameter.

  See Also:
    Constant Field Values

### INVALID_RECORD_ID

    public static final int INVALID_RECORD_ID

  Invalid RMS record id used during queue or cache operation.

  See Also:
    Constant Field Values

### WRONG_RESPONSE_TYPE

    public static final int WRONG_RESPONSE_TYPE

  Return type is not of this type.

  See Also:
    Constant Field Values

### INVALID_KEY

    public static final int INVALID_KEY

  Invalid call key used during queue or cache operation.

  See Also:
    Constant Field Values

### INVALID_ACK

    public static final int INVALID_ACK

  Invalid acknowledgement received during packetized request.

  See Also:
    Constant Field Values

### INVALID_PACKET

    public static final int INVALID_PACKET

  Invalid response packet received.

  See Also:
    Constant Field Values

### REMOTE_ERROR

    public static final int REMOTE_ERROR

  Error returned from the server. This could be an error in the invoked service or an error in the proxy server. See the message for details. This code is used when the ServiceException is created by a generated stub class. The error code returned from the server is placed in the text of the message. You may modify the generated stub to examine the error returned from the server by calling Response.getReturnCode() (return code of 0 means NO error).

  See Also:
    Constant Field Values

Constructor Detail

### ServiceException

    public ServiceException()

  Creates new `ServiceException` without detail message.

### ServiceException

    public ServiceException(java.lang.String msg)

  Constructs an `ServiceException` with the specified detail message.

Parameters:
  `msg` - the detail message.

### ServiceException

    public ServiceException(java.lang.String msg,
                            int errCode)

  Constructs an `ServiceException` with the specified detail message and the status of the connection.

Parameters:
  `msg` - the detail message.

Method Detail

### getErrorCode

    public int getErrorCode()

  Return the error code

  Returns:
    negative int as error code

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Wireless J2ME SDK API Reference B14045-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Oracle Corporation. All Rights Reserved.